MONGOC_STREAM_SOCKET_NEW(3)

NAME
mongoc_stream_socket_new() - Creates a new mongoc_stream_socket_t using the mongoc_socket_t provided.

SYNOPSIS

mongoc_stream_t *
mongoc_stream_socket_new (mongoc_socket_t *socket);

PARAMETERS

socket
    A mongoc_socket_t \&.

Creates a new mongoc_stream_socket_t using the mongoc_socket_t provided.

NOTE
    This function transfers ownership of socket to the newly allocated stream.

RETURNS

A newly allocated mongoc_stream_socket_t that should be freed with mongoc_stream_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.